//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Views/InstrumentWidgets/GISASBeamEditor.h
//! @brief     Defines class GISASBeamEditor
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEWS_INSTRUMENTWIDGETS_GISASBEAMEDITOR_H
#define BORNAGAIN_GUI_VIEWS_INSTRUMENTWIDGETS_GISASBEAMEDITOR_H

#include <QWidget>

class QGridLayout;
class QLineEdit;
class BeamItem;
class ColumnResizer;
class DistributionEditor;

//! GISAS beam editor. Operates on GISASInstrumentItem.

class GISASBeamEditor : public QWidget {
    Q_OBJECT

public:
    explicit GISASBeamEditor(QWidget* parent = nullptr, Qt::WindowFlags f = Qt::WindowFlags());
    void setItem(BeamItem* item);

private slots:
    void onEditingFinished();

private:
    QLineEdit* m_intensityEditor;
    DistributionEditor* m_wavelengthEditor;
    DistributionEditor* m_inclinationEditor;
    DistributionEditor* m_azimuthalEditor;
    BeamItem* m_item;
};

#endif // BORNAGAIN_GUI_VIEWS_INSTRUMENTWIDGETS_GISASBEAMEDITOR_H
