//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Views/InstrumentWidgets/PolarizationAnalysisEditor.h
//! @brief     Defines class PolarizationAnalysisEditor
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEWS_INSTRUMENTWIDGETS_POLARIZATIONANALYSISEDITOR_H
#define BORNAGAIN_GUI_VIEWS_INSTRUMENTWIDGETS_POLARIZATIONANALYSISEDITOR_H

#include <QWidget>

class AnalyzerPropertiesEditor;
class DetectorItem;
class InstrumentItem;
class VectorEditor;
class VectorItem;

//! Polarization analysis editor (beam polarization, analyzer properies) for instrument editors.
//! Operates on Instrument2DItem.

class PolarizationAnalysisEditor : public QWidget {
    Q_OBJECT

public:
    PolarizationAnalysisEditor(QWidget* parent = nullptr, Qt::WindowFlags f = Qt::WindowFlags());
    void setItem(InstrumentItem* item);

private:
    VectorEditor* m_polarizerEditor;
    VectorEditor* m_analyzerEditor;
    AnalyzerPropertiesEditor* m_propertiesEditor;
    InstrumentItem* m_item;
};

#endif // BORNAGAIN_GUI_VIEWS_INSTRUMENTWIDGETS_POLARIZATIONANALYSISEDITOR_H
